#!/bin/bash

TMPDIR=$( ls -1d /tmp/rdor-t3-pop?????? 2> /dev/null | head -1 )

SCENARIO=$( ls $TMPDIR/rdor3*/*.xml 2> /dev/null | grep -v conf )
#echo "SCENARIO=$SCENARIO"
SEP="------------------------------------------------------------------"

START=$(date +%s)

function eliminar_procesos () {

  if [ "$SCENARIO" ]; then 
      echo "-- Parando escenario VNX"
      sudo vnx -f $SCENARIO -v -P -D 2>&1
  else
      echo "-- Escenario VNX no encontrado"
  fi

  PIDS=$( ps uaxww | grep "sudo vnx" | grep -v grep | awk '{ print $2 }' )
  if [ "$PIDS" ]; then
      echo "-- Matando procesos vnx:" $PIDS
      sudo kill -9 $PIDS
  else
      echo "-- No hay procesos vnx"
  fi

  PIDS=$( ps uaxww | grep "comprueba-rdor3" | grep -v grep | awk '{ print $2 }' )
  if [ "$PIDS" ]; then
      echo "-- Matando procesos comprueba-rdor3:" $PIDS
      sudo kill -9 $PIDS
  else
      echo "-- No hay procesos comprueba-rdor3"
  fi

  PIDS=$( ps uaxww | grep "arranca-t3" | grep -v grep | awk '{ print $2 }' )
  if [ "$PIDS" ]; then
      echo "-- Matando procesos arranca-t3:" $PIDS
      sudo kill -9 $PIDS
  else
      echo "-- No hay procesos arranca-t3"
  fi

}

function limpia () {

  #echo "Hostname=$HOSTNAME"

  case "$HOSTNAME" in
      vnx*lab )
          echo "-- "
          echo "-- Escenario corriendo en maquina virtual ($HOSTNAME)" 
          echo "-- "
          eliminar_procesos
          echo "-- Deleting /var/lib/lxc/{A,B,C,D,E,H1,H2}"
          sudo rm -rfv /var/lib/lxc/{A,B,C,D,E,H1,H2}
          #sudo /etc/init.d/tinc stop
          sudo killall tincd
          ;;

      l[0-9][0-9][0-9] )
          echo "-- "
          echo "-- Escenario corriendo en el laboratorio ($HOSTNAME)"
          echo "-- "
          eliminar_procesos

          POPNAME=$( ifconfig | grep "pop.net" | awk '{ print $1}' )
          POPDIR=$( ls -1d /tmp/rdor-t3-pop??????/pop?ra*/pop?net 2> /dev/null )

          if [ "$POPDIR" ]; then
              echo sudo tincd -c $POPDIR -k
              sudo tincd -c $POPDIR -k
          else
              echo -e "-- No tinc config directory found on /tmp"
          fi

          rm -rf /tmp/rdor-t3-pop??????
          ;;

      * )

      echo "ERROR: Ordenador desconocido"
      exit 1
  esac
  echo "-- "
}

( limpia; END=$(date +%s); echo "$SEP"; DIFF=$(( $END - $START)); echo "Duración total: $DIFF segundos"; echo "$SEP" ) | yad --text-info --tail --title 'Parando trabajo 3 RDOR...' --height 400 --width 800 --fontname="Monospace 7" --wrap &


